Package org.eclipse.rdf4j.repository

## Class EquivalentTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.EquivalentTest

-     public abstract class EquivalentTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EquivalentTest​(String operator, String term1, String term2)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Repository` | `createRepository()` |
    `protected abstract Repository` | `newRepository()` |
    `static Collection<Object[]>` | `params()` |
    `void` | `setUp()` |
    `static void` | `setUpClass()` |
    `void` | `tearDown()` |
    `void` | `testOperator()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EquivalentTest

          public EquivalentTest​(String operator,
                                String term1,
                                String term2)

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### params

          public static Collection<Object[]> params()

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### testOperator

          public void testOperator()
                            throws Throwable

      Throws:
        `Throwable`

    - #### createRepository

          protected Repository createRepository()
                                         throws Exception

      Throws:
        `Exception`

    - #### newRepository

          protected abstract Repository newRepository()
                                               throws Exception

      Throws:
        `Exception`